// REVISION    : $Revision: 1.6 $
//                   MENTOR Proprietary and Confidential
//                       Copyright (c) 2003, MENTOR
`timescale 1ns/1ns
module
CoreTSE_M2S090_CORETSE_AHB_0_PEHST
(
CORETSEl1i0
,
CORETSEo1i0
,
CORETSEi1i0
,
CORETSEOoi0
,
CORETSEooi0
,
CORETSEioi0
,
CORETSEloi0
,
CORETSEolO1
,
CORETSEoll0
,
CORETSEilO1
,
CORETSEO0O1
,
CORETSEo11I
,
CORETSEO1
,
CORETSEi0I
,
CORETSEiIoI
,
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
,
CORETSEo0i0
,
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
,
CORETSEOOO1
,
CORETSEIOO1
,
CORETSEIi0l
,
CORETSElIo
,
CORETSEoIo
,
CORETSEii0l
,
CORETSEoi0l
,
CORETSEOl1I
,
CORETSEIl1I
,
CORETSEIl
,
CORETSEll
,
CORETSEol
,
CORETSEil1I
,
CORETSEil
,
CORETSEI1O1
,
CORETSEO01I
,
CORETSEI01I
,
CORETSEl01I
,
CORETSEo01I
,
CORETSEi01I
,
CORETSEO11I
,
CORETSEl11I
,
CORETSElo1I
,
CORETSEO1O1
,
CORETSEi11I
,
CORETSEOlI1
,
CORETSEiI
,
CORETSEIIo
,
CORETSEiIo
,
CORETSEI11I
,
CORETSEol1I
,
CORETSEOl
,
CORETSEOI1I
,
CORETSEOi10
,
CORETSEIo1I
,
CORETSEl1O1
,
CORETSEo1O1
,
CORETSEi1O1
,
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
,
CORETSEOoO1
,
CORETSEIoO1
,
CORETSEloO1
,
CORETSEooO1
,
CORETSEioO1
,
CORETSEOiO1
,
CORETSEiIOI
,
CORETSEIiO1
,
CORETSEliO1
,
CORETSEoiO1
,
CORETSEiiO1
,
CORETSEOOI1
,
CORETSEIlI1
,
CORETSEIOI1
,
CORETSEllI1
,
CORETSEolI1
)
;
input
CORETSEl1i0
,
CORETSEo1i0
,
CORETSEi1i0
,
CORETSEOoi0
;
input
[
7
:
0
]
CORETSEooi0
;
input
[
31
:
0
]
CORETSEioi0
;
input
[
4
:
0
]
CORETSEloi0
;
input
[
15
:
0
]
CORETSEolO1
;
input
CORETSEoll0
,
CORETSEilO1
,
CORETSEO0O1
;
input
CORETSEo11I
;
input
CORETSEO1
,
CORETSEi0I
;
input
CORETSEiIoI
;
input
CORETSEo0i0
;
output
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
;
output
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
;
output
[
31
:
0
]
CORETSEOOO1
;
output
CORETSEIOO1
;
output
CORETSEIi0l
,
CORETSElIo
;
output
[
47
:
0
]
CORETSEoIo
;
output
[
15
:
0
]
CORETSEii0l
;
output
[
15
:
0
]
CORETSEoi0l
;
output
CORETSEOl1I
,
CORETSEIl1I
;
output
CORETSEIl
,
CORETSEll
,
CORETSEol
;
output
[
6
:
0
]
CORETSEil1I
;
output
[
7
:
0
]
CORETSEil
;
output
[
15
:
0
]
CORETSEI1O1
;
output
[
6
:
0
]
CORETSEO01I
,
CORETSEI01I
;
output
[
3
:
0
]
CORETSEi01I
;
output
CORETSEO11I
;
output
[
9
:
0
]
CORETSEl01I
;
output
[
3
:
0
]
CORETSEo01I
;
output
CORETSEl11I
,
CORETSElo1I
;
output
CORETSEIIo
,
CORETSEiIo
,
CORETSEI11I
;
output
CORETSEO1O1
,
CORETSEi11I
;
output
[
1
:
0
]
CORETSEiI
;
output
CORETSEOlI1
;
output
[
3
:
0
]
CORETSEol1I
;
output
CORETSEOl
,
CORETSEOI1I
;
output
CORETSEOi10
,
CORETSEIo1I
;
output
[
2
:
0
]
CORETSEl1O1
;
output
CORETSEo1O1
,
CORETSEi1O1
;
output
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
;
output
[
4
:
0
]
CORETSEOoO1
,
CORETSEIoO1
;
output
CORETSEloO1
;
output
[
15
:
0
]
CORETSEooO1
;
output
CORETSEioO1
,
CORETSEOiO1
;
output
CORETSEiIOI
;
output
CORETSEIiO1
,
CORETSEliO1
,
CORETSEoiO1
,
CORETSEiiO1
;
output
CORETSEOOI1
;
output
CORETSEIlI1
,
CORETSEIOI1
;
output
CORETSEllI1
,
CORETSEolI1
;
wire
[
31
:
0
]
CORETSEOOO1
;
wire
CORETSEIOO1
;
reg
CORETSEIi0l
,
CORETSElIo
;
reg
[
47
:
0
]
CORETSEoIo
;
reg
[
15
:
0
]
CORETSEii0l
;
reg
[
15
:
0
]
CORETSEoi0l
;
reg
CORETSEOl1I
,
CORETSEIl1I
;
reg
CORETSEIl
,
CORETSEll
,
CORETSEol
;
reg
[
6
:
0
]
CORETSEil1I
;
reg
[
15
:
0
]
CORETSEI1O1
;
reg
[
7
:
0
]
CORETSEil
;
reg
[
6
:
0
]
CORETSEO01I
,
CORETSEI01I
;
reg
[
3
:
0
]
CORETSEi01I
;
reg
CORETSEO11I
;
reg
[
9
:
0
]
CORETSEl01I
;
reg
[
3
:
0
]
CORETSEo01I
;
reg
CORETSEIIo
,
CORETSEiIo
,
CORETSEI11I
;
reg
CORETSEl11I
,
CORETSElo1I
;
wire
CORETSEO1O1
;
reg
CORETSEi11I
;
reg
[
1
:
0
]
CORETSEiI
;
reg
CORETSEOlI1
;
reg
[
3
:
0
]
CORETSEol1I
;
reg
CORETSEOl
,
CORETSEOI1I
;
reg
CORETSEOi10
,
CORETSEIo1I
;
reg
[
2
:
0
]
CORETSEl1O1
;
reg
CORETSEo1O1
,
CORETSEi1O1
;
reg
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
;
reg
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
;
reg
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
;
reg
[
4
:
0
]
CORETSEOoO1
,
CORETSEIoO1
;
wire
CORETSEloO1
;
reg
[
15
:
0
]
CORETSEooO1
;
reg
CORETSEioO1
,
CORETSEOiO1
;
reg
CORETSEiIOI
;
reg
CORETSEIiO1
,
CORETSEliO1
,
CORETSEoiO1
,
CORETSEiiO1
;
reg
CORETSEOOI1
;
reg
CORETSEIlI1
,
CORETSEIOI1
;
reg
CORETSEllI1
,
CORETSEolI1
;
parameter
CORETSEOII
=
1
;
parameter
FAMILY
=
19
;
wire
CORETSEIl11
,
CORETSEll11
;
wire
CORETSEol11
,
CORETSEil11
;
reg
CORETSEO011
;
wire
CORETSEI011
,
CORETSEl011
;
wire
CORETSEo011
,
CORETSEi011
;
wire
CORETSEO111
,
CORETSEI111
;
wire
CORETSEl111
,
CORETSEo111
;
wire
CORETSEi111
,
CORETSEOo11
;
wire
CORETSEIo11
,
CORETSElo11
;
wire
CORETSEoo11
;
wire
CORETSEio11
,
CORETSEOi11
;
wire
CORETSEIi11
,
CORETSEli11
;
wire
CORETSEoi11
,
CORETSEii11
;
wire
CORETSEOOo1
,
CORETSEIOo1
;
wire
CORETSElOo1
;
wire
CORETSEoOo1
;
wire
CORETSEiOo1
;
reg
CORETSEOIo1
;
reg
CORETSEIIo1
,
CORETSElIo1
,
CORETSEoIo1
;
wire
CORETSEiIo1
;
reg
CORETSEOlo1
,
CORETSEIlo1
,
CORETSEllo1
;
wire
CORETSEolo1
,
CORETSEilo1
;
wire
CORETSEO0o1
,
CORETSEI0o1
;
wire
CORETSElo1
;
wire
CORETSEoo1
;
assign
CORETSElo1
=
(
FAMILY
==
25
)
?
1
'b
0
:
CORETSEl1i0
;
assign
CORETSEoo1
=
(
FAMILY
==
25
)
?
CORETSEl1i0
:
1
'b
0
;
assign
CORETSEIl11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
00
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEll11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
00
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEol11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
01
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEil11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
01
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEI011
=
CORETSEooi0
[
7
:
0
]
==
8
'h
02
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEl011
=
CORETSEooi0
[
7
:
0
]
==
8
'h
02
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEo011
=
CORETSEooi0
[
7
:
0
]
==
8
'h
03
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEi011
=
CORETSEooi0
[
7
:
0
]
==
8
'h
03
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEO111
=
CORETSEooi0
[
7
:
0
]
==
8
'h
04
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEI111
=
CORETSEooi0
[
7
:
0
]
==
8
'h
04
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEl111
=
CORETSEooi0
[
7
:
0
]
==
8
'h
05
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEo111
=
CORETSEooi0
[
7
:
0
]
==
8
'h
05
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEi111
=
CORETSEooi0
[
7
:
0
]
==
8
'h
06
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOo11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
06
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEio11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
07
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOi11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
07
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEIi11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
08
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEli11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
08
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEoi11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
09
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEii11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
09
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOOo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0a
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEIOo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0a
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEloO1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0b
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSElOo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0b
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEoOo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0c
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEiOo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0d
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEIo11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0e
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSElo11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0e
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEoo11
=
CORETSEooi0
[
7
:
0
]
==
8
'h
0f
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEolo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
10
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEilo1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
10
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEO0o1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
11
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEI0o1
=
CORETSEooi0
[
7
:
0
]
==
8
'h
11
&
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEiIOI
,
CORETSEIo1I
,
CORETSEiiO1
,
CORETSEoiO1
,
CORETSEliO1
,
CORETSEIiO1
,
CORETSEOi10
,
CORETSElIo
,
CORETSEIi0l
,
CORETSEOl
,
CORETSEOI1I
}
<=
#
CORETSEOII
{
2
'b
10
,
4
'b
0000
,
1
'b
0
,
2
'b
00
,
2
'b
00
}
;
else
if
(
CORETSEIl11
)
{
CORETSEiIOI
,
CORETSEIo1I
,
CORETSEiiO1
,
CORETSEoiO1
,
CORETSEliO1
,
CORETSEIiO1
,
CORETSEOi10
,
CORETSElIo
,
CORETSEIi0l
,
CORETSEOl
,
CORETSEOI1I
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
:
30
]
,
CORETSEioi0
[
19
:
16
]
,
CORETSEioi0
[
8
]
,
CORETSEioi0
[
5
:
4
]
,
CORETSEioi0
[
2
]
,
CORETSEioi0
[
0
]
}
;
end
assign
CORETSEO1O1
=
CORETSEo11I
|
CORETSEO011
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEol1I
,
CORETSEiI
,
CORETSEol
,
CORETSEll
,
CORETSEOl1I
,
CORETSEIl1I
,
CORETSEIl
}
<=
#
CORETSEOII
{
4
'b
0111
,
2
'b
10
,
2
'b
00
,
3
'b
000
}
;
else
if
(
CORETSEol11
)
{
CORETSEol1I
,
CORETSEiI
,
CORETSEol
,
CORETSEll
,
CORETSEOl1I
,
CORETSEIl1I
,
CORETSEIl
}
<=
#
CORETSEOII
{
CORETSEioi0
[
15
:
12
]
,
CORETSEioi0
[
9
:
8
]
,
CORETSEioi0
[
5
:
4
]
,
CORETSEioi0
[
2
:
0
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEO01I
,
CORETSEI01I
,
CORETSEil
,
CORETSEil1I
}
<=
#
CORETSEOII
{
7
'h
40
,
7
'h
60
,
8
'h
50
,
7
'h
60
}
;
else
if
(
CORETSEI011
)
{
CORETSEO01I
,
CORETSEI01I
,
CORETSEil
,
CORETSEil1I
}
<=
#
CORETSEOII
{
CORETSEioi0
[
30
:
24
]
,
CORETSEioi0
[
22
:
16
]
,
CORETSEioi0
[
15
:
8
]
,
CORETSEioi0
[
6
:
0
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEi01I
,
CORETSEO11I
,
CORETSEi11I
,
CORETSEl11I
,
CORETSElo1I
,
CORETSEo01I
,
CORETSEl01I
}
<=
#
CORETSEOII
{
4
'h
a
,
4
'b
0001
,
4
'h
f
,
10
'h
37
}
;
else
if
(
CORETSEo011
)
{
CORETSEi01I
,
CORETSEO11I
,
CORETSEi11I
,
CORETSEl11I
,
CORETSElo1I
,
CORETSEo01I
,
CORETSEl01I
}
<=
#
CORETSEOII
{
CORETSEioi0
[
23
:
20
]
,
CORETSEioi0
[
19
:
16
]
,
CORETSEioi0
[
15
:
12
]
,
CORETSEioi0
[
9
:
0
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEOlo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEOlo1
<=
#
CORETSEOII
CORETSEi011
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIlo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIlo1
<=
#
CORETSEOII
CORETSEOlo1
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEllo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEllo1
<=
#
CORETSEOII
CORETSEIlo1
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEI1O1
<=
#
CORETSEOII
16
'h
07D0
;
else
if
(
CORETSEO111
)
CORETSEI1O1
<=
#
CORETSEOII
CORETSEioi0
[
15
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEii0l
<=
#
CORETSEOII
16
'h
0000
;
else
if
(
CORETSEl111
)
CORETSEii0l
<=
#
CORETSEOII
CORETSEioi0
[
15
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoi0l
<=
#
CORETSEOII
16
'h
FFFF
;
else
if
(
CORETSEi111
)
CORETSEoi0l
<=
#
CORETSEOII
CORETSEioi0
[
15
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEI11I
,
CORETSEO011
,
CORETSEIIo
,
CORETSEiIo
}
<=
#
CORETSEOII
4
'h
0
;
else
if
(
CORETSEio11
)
{
CORETSEI11I
,
CORETSEO011
,
CORETSEIIo
,
CORETSEiIo
}
<=
#
CORETSEOII
CORETSEioi0
[
3
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEOOI1
,
CORETSEi1O1
,
CORETSEo1O1
,
CORETSEl1O1
}
<=
#
CORETSEOII
6
'h
00
;
else
if
(
CORETSEIi11
)
{
CORETSEOOI1
,
CORETSEi1O1
,
CORETSEo1O1
,
CORETSEl1O1
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
5
:
4
]
,
CORETSEioi0
[
2
:
0
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEOiO1
,
CORETSEioO1
}
<=
#
CORETSEOII
2
'h
0
;
else
if
(
CORETSEoi11
)
{
CORETSEOiO1
,
CORETSEioO1
}
<=
#
CORETSEOII
CORETSEioi0
[
1
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEOoO1
,
CORETSEIoO1
}
<=
#
CORETSEOII
{
5
'h
0
,
5
'h
0
}
;
else
if
(
CORETSEOOo1
)
{
CORETSEOoO1
,
CORETSEIoO1
}
<=
#
CORETSEOII
{
CORETSEioi0
[
12
:
8
]
,
CORETSEioi0
[
4
:
0
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEooO1
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEloO1
)
CORETSEooO1
<=
#
CORETSEOII
CORETSEioi0
[
15
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEIOI1
,
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
,
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
,
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
}
<=
#
CORETSEOII
13
'h
0
;
else
if
(
CORETSEIo11
)
{
CORETSEIOI1
,
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
,
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
,
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
27
:
25
]
,
CORETSEioi0
[
7
:
4
]
,
CORETSEioi0
[
3
:
2
]
}
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEOIo1
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEilO1
)
CORETSEOIo1
<=
#
CORETSEOII
1
'b
1
;
else
if
(
CORETSEiIo1
)
CORETSEOIo1
<=
#
CORETSEOII
1
'b
0
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIIo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIIo1
<=
#
CORETSEOII
CORETSEoo11
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSElIo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSElIo1
<=
#
CORETSEOII
CORETSEIIo1
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoIo1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEoIo1
<=
#
CORETSEOII
CORETSElIo1
;
end
assign
CORETSEiIo1
=
~
CORETSElIo1
&
CORETSEoIo1
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEoIo
[
7
:
0
]
,
CORETSEoIo
[
15
:
8
]
,
CORETSEoIo
[
23
:
16
]
,
CORETSEoIo
[
31
:
24
]
}
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEolo1
)
{
CORETSEoIo
[
7
:
0
]
,
CORETSEoIo
[
15
:
8
]
,
CORETSEoIo
[
23
:
16
]
,
CORETSEoIo
[
31
:
24
]
}
<=
#
CORETSEOII
CORETSEioi0
[
31
:
0
]
;
end
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
{
CORETSEoIo
[
39
:
32
]
,
CORETSEoIo
[
47
:
40
]
}
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEO0o1
)
{
CORETSEoIo
[
39
:
32
]
,
CORETSEoIo
[
47
:
40
]
}
<=
#
CORETSEOII
CORETSEioi0
[
31
:
16
]
;
end
assign
CORETSEIOO1
=
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOOO1
[
31
:
0
]
=
{
32
{
CORETSEI0o1
}
}
&
{
CORETSEoIo
[
39
:
32
]
,
CORETSEoIo
[
47
:
40
]
,
16
'h
0
}
|
{
32
{
CORETSEilo1
}
}
&
{
CORETSEoIo
[
7
:
0
]
,
CORETSEoIo
[
15
:
8
]
,
CORETSEoIo
[
23
:
16
]
,
CORETSEoIo
[
31
:
24
]
}
|
{
32
{
CORETSEoo11
}
}
&
{
21
'h
0
,
CORETSEo0i0
,
CORETSEiIoI
,
5
'b
0
,
CORETSEOIo1
,
3
'b
0
}
|
{
32
{
CORETSElo11
}
}
&
{
CORETSEIOI1
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
CORETSElOO1
,
CORETSEoOO1
,
CORETSEiOO1
,
1
'b
0
,
16
'b
0
,
CORETSEO0i0
,
CORETSEI0i0
,
CORETSEl0i0
,
CORETSEi0i0
,
CORETSEO1i0
,
CORETSEI1i0
,
2
'b
0
}
|
{
32
{
CORETSEiOo1
}
}
&
{
16
'h
0
,
13
'h
0
,
CORETSEO0O1
,
CORETSEOiO1
,
CORETSEoll0
}
|
{
32
{
CORETSEoOo1
}
}
&
{
16
'h
0
,
CORETSEolO1
[
15
:
0
]
}
|
{
32
{
CORETSElOo1
}
}
&
{
16
'h
0
,
CORETSEooO1
[
15
:
0
]
}
|
{
32
{
CORETSEIOo1
}
}
&
{
16
'h
0
,
3
'h
0
,
CORETSEOoO1
[
4
:
0
]
,
3
'h
0
,
CORETSEIoO1
[
4
:
0
]
}
|
{
32
{
CORETSEii11
}
}
&
{
28
'h
0
,
1
'b
0
,
1
'b
0
,
CORETSEOiO1
,
CORETSEioO1
}
|
{
32
{
CORETSEli11
}
}
&
{
CORETSEOOI1
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
20
'h
0
,
1
'b
0
,
1
'b
0
,
CORETSEi1O1
,
CORETSEo1O1
,
1
'b
0
,
CORETSEl1O1
[
2
:
0
]
}
|
{
32
{
CORETSEOi11
}
}
&
{
16
'h
0
,
12
'h
0
,
CORETSEI11I
,
CORETSEO011
,
CORETSEIIo
,
CORETSEiIo
}
|
{
32
{
CORETSEI111
}
}
&
{
16
'h
0
,
CORETSEI1O1
[
15
:
0
]
}
|
{
32
{
CORETSEo111
}
}
&
{
16
'h
0
,
CORETSEii0l
[
15
:
0
]
}
|
{
32
{
CORETSEOo11
}
}
&
{
16
'h
0
,
CORETSEoi0l
[
15
:
0
]
}
|
{
32
{
CORETSEi011
}
}
&
{
8
'h
0
,
CORETSEi01I
[
3
:
0
]
,
CORETSEO11I
,
CORETSEi11I
,
CORETSEl11I
,
CORETSElo1I
,
CORETSEo01I
[
3
:
0
]
,
2
'h
0
,
CORETSEl01I
[
9
:
0
]
}
|
{
32
{
CORETSEl011
}
}
&
{
1
'b
0
,
CORETSEO01I
[
6
:
0
]
,
1
'b
0
,
CORETSEI01I
[
6
:
0
]
,
CORETSEil
[
7
:
0
]
,
1
'b
0
,
CORETSEil1I
[
6
:
0
]
}
|
{
32
{
CORETSEil11
}
}
&
{
16
'h
0
,
CORETSEol1I
,
1
'b
0
,
1
'b
0
,
CORETSEiI
,
1
'b
0
,
1
'b
0
,
CORETSEol
,
CORETSEll
,
1
'b
0
,
CORETSEOl1I
,
CORETSEIl1I
,
CORETSEIl
}
|
{
32
{
CORETSEll11
}
}
&
{
CORETSEiIOI
,
CORETSEIo1I
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
CORETSEiiO1
,
CORETSEoiO1
,
CORETSEliO1
,
CORETSEIiO1
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
CORETSEOi10
,
1
'b
0
,
1
'b
0
,
CORETSElIo
,
CORETSEIi0l
,
CORETSEO1
,
CORETSEOl
,
CORETSEi0I
,
CORETSEOI1I
}
;
endmodule
